Bug 183136 - Need better co-ordination with downstream dependent packages
Need better co-ordination with downstream dependent packages
Product: Fedora
Classification: Fedora
Component: openal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-02-26 14:51 EST by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 07:10:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2006-02-26 14:51:52 EST
Description of problem:
Latest upgrade caused yum upgrade to break

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum upgrade

Actual results:
sudo yum upgrade

--> Running transaction check
--> Processing Dependency: libopenal.so.0 for package: torcs
--> Processing Dependency: libopenal.so.0 for package: scorched3d
--> Finished Dependency Resolution
Error: Missing Dependency: libopenal.so.0 is needed by package torcs
Error: Missing Dependency: libopenal.so.0 is needed by package scorched3d

See also bug #183133, bug #183134.

Expected results:
Upgrade should have worked.

Additional info:
There should be better co-ordination of releases of this package  with the
maintainers of dependent packages, before it reaches the end user.  It
seems a general problem with extras that maintainers are unaware of the
influences  their package updates have on other packages.  There really needs to
be some automated system that could notify them.  It's my one major beef with
Extras right now.

Another example is the R package, see bug #176763.
Comment 1 Andreas Bierfert 2006-02-27 07:10:29 EST
As I said in #181989, I am sorry for this. I am aware that there are a number of
packages like blender, torcs, scorched3d and so on require openal and would need
a rebuild due to soname changes in openal. This soname change was meant as a fix
for broken versioning but as this was just brought to the openal dev's attention
by the debian maintainers of openal to exactly avoid a situation like we have
here now I did not think that there where any changes in cvs regarding this.

Reverted back to the old cvs snapshot for now.

In a side note: I think you are right... There should be ways that this kind of
stuff is automated and not visible for endusers in case something like this

Note You need to log in before you can comment on or make changes to this bug.